#diff redirect.cc srewriter.cc
5c5
<  * DEBUG: section 61    Redirector
---
>  * DEBUG: section 61    Srewriter
55c55
< /// url maximum lengh + extra informations passed to redirector
---
> /// url maximum lengh + extra informations passed to srewriter
66c66
< } redirectStateData;
---
> } srewriterStateData;
68,71c68,71
< static HLPCB redirectHandleReply;
< static void redirectStateFree(redirectStateData * r);
< static helper *redirectors = NULL;
< static OBJH redirectStats;
---
> static HLPCB srewriteHandleReply;
> static void srewriterStateFree(srewriterStateData * r);
> static helper *srewriters = NULL;
> static OBJH srewriterStats;
73c73
< CBDATA_TYPE(redirectStateData);
---
> CBDATA_TYPE(srewriterStateData);
76c76
< redirectHandleReply(void *data, char *reply)
---
> srewriteHandleReply(void *data, char *reply)
78c78
<     redirectStateData *r = static_cast<redirectStateData *>(data);
---
>     srewriterStateData *r = static_cast<srewriterStateData *>(data);
81c81
<     debugs(61, 5, "redirectHandleRead: {" << (reply && *reply != '\0' ? reply : "<NULL>") << "}");
---
>     debugs(61, 5, "srewriteHandleRead: {" << (reply && *reply != '\0' ? reply : "<NULL>") << "}");
94c94
<     redirectStateFree(r);
---
>     srewriterStateFree(r);
98c98
< redirectStateFree(redirectStateData * r)
---
> srewriterStateFree(srewriterStateData * r)
105c105
< redirectStats(StoreEntry * sentry)
---
> srewriterStats(StoreEntry * sentry)
107,108c107,108
<     if (redirectors == NULL) {
<         storeAppendPrintf(sentry, "No redirectors defined\n");
---
>     if (srewriters == NULL) {
>         storeAppendPrintf(sentry, "No srewriters defined\n");
112c112
<     helperStats(sentry, redirectors, "Redirector Statistics");
---
>     helperStats(sentry, srewriters, "Srewriter Statistics");
114c114
<     if (Config.onoff.redirector_bypass)
---
>     if (Config.onoff.srewriter_bypass)
116c116
<                           "because all redirectors were busy: %d\n", n_bypassed);
---
>                           "because all srewriters were busy: %d\n", n_bypassed);
122c122
< redirectStart(ClientHttpRequest * http, RH * handler, void *data)
---
> srewriterStart(ClientHttpRequest * http, RH * handler, void *data)
125c125
<     redirectStateData *r = NULL;
---
>     srewriterStateData *r = NULL;
134c134
<     debugs(61, 5, "redirectStart: '" << http->uri << "'");
---
>     debugs(61, 5, "srewriterStart: '" << http->uri << "'");
136,137c136,137
<     if (Config.onoff.redirector_bypass && redirectors->stats.queue_size) {
<         /* Skip redirector if there is one request queued */
---
>     if (Config.onoff.srewriter_bypass && srewriters->stats.queue_size) {
>         /* Skip srewriter if there is one request queued */
143c143
<     r = cbdataAlloc(redirectStateData);
---
>     r = cbdataAlloc(srewriterStateData);
200c200
<             debugs(61, DBG_CRITICAL, "ERROR: Gateway Failure. Can not build request to be passed to redirector. Request ABORTED.");
---
>             debugs(61, DBG_CRITICAL, "ERROR: Gateway Failure. Can not build request to be passed to srewriter. Request ABORTED.");
203c203
<             debugs(61, DBG_CRITICAL, "ERROR: Gateway Failure. Request passed to redirector exceeds MAX_REDIRECTOR_REQUEST_STRLEN (" << MAX_REDIRECTOR_REQUEST_STRLEN << "). Request ABORTED.");
---
>             debugs(61, DBG_CRITICAL, "ERROR: Gateway Failure. Request passed to srewriter exceeds MAX_REDIRECTOR_REQUEST_STRLEN (" << MAX_REDIRECTOR_REQUEST_STRLEN << "). Request ABORTED.");
230c230
<     helperSubmit(redirectors, buf, redirectHandleReply, r);
---
>     helperSubmit(srewriters, buf, srewriteHandleReply, r);
234c234
< redirectRegisterWithCacheManager(void)
---
> srewriteRegisterWithCacheManager(void)
236c236
<     Mgr::RegisterAction("redirector", "URL Redirector Stats", redirectStats, 0, 1);
---
>     Mgr::RegisterAction("srewriter", "URL Srewriter Stats", srewriterStats, 0, 1);
240c240
< redirectInit(void)
---
> srewriteInit(void)
244c244
<     redirectRegisterWithCacheManager();
---
>     srewriteRegisterWithCacheManager();
246c246
<     if (!Config.Program.redirect)
---
>     if (!Config.Program.srewrite)
249,250c249,250
<     if (redirectors == NULL)
<         redirectors = new helper("redirector");
---
>     if (srewriters == NULL)
>         srewriters = new helper("srewriter");
252c252
<     redirectors->cmdline = Config.Program.redirect;
---
>     srewriters->cmdline = Config.Program.srewrite;
254c254
<     redirectors->childs.updateLimits(Config.redirectChildren);
---
>     srewriters->childs.updateLimits(Config.srewriteChildren);
256c256
<     redirectors->ipc_type = IPC_STREAM;
---
>     srewriters->ipc_type = IPC_STREAM;
258c258
<     helperOpenServers(redirectors);
---
>     helperOpenServers(srewriters);
262c262
<         CBDATA_INIT_TYPE(redirectStateData);
---
>         CBDATA_INIT_TYPE(srewriterStateData);
267c267
< redirectShutdown(void)
---
> srewriterShutdown(void)
269c269
<     if (!redirectors)
---
>     if (!srewriters)
272c272
<     helperShutdown(redirectors);
---
>     helperShutdown(srewriters);
277,278c277,278
<     delete redirectors;
<     redirectors = NULL;
---
>     delete srewriters;
>     srewriters = NULL;